Package ru.bitel.bgbilling.apps.inet.access.sa

# Class ServiceActivatorAdapter

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.apps.inet.access.sa.ServiceActivatorAdapter

All Implemented Interfaces:
  `ServiceActivator`

Direct Known Subclasses:
  `AbstractServiceActivator`

public abstract class ServiceActivatorAdapter extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger implements ServiceActivator

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServiceActivatorAdapter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<ru.bitel.bgbilling.common.model.ConfigParameter>`
  `configParameterList()`
  Список доступных параметров активатора
  `Object`
  `connect()`
  Подключение к устройству для работы с ним.
  `Object`
  `connectionClose(ServiceActivatorEvent e)`
  Закрытие (принудительное) соединения.
  Обычно вызывается при
  invalid reference

      AccessCodes#TOO_MANY_SESSIONS_ERROR

  или из метода `ServiceActivator.connectionModify(ServiceActivatorEvent)`
  `Object`
  `connectionModify(ServiceActivatorEvent e)`
  Изменение соединения.
  `Object`
  `destroy()`
  Утилизация обработчика.
  `Object`
  `disconnect()`
  Отключение от устройства.
  `Object`
  `init(int moduleId, InetDevice device, InetDeviceType deviceType, ParameterMap config)`
  Deprecated.
  `Object`
  `init(Setup setup, int moduleId, InetDevice device, InetDeviceType deviceType, ParameterMap config)`
  Инициализация обработчика.
  `Object`
  `onAccountingStart(ServiceActivatorEvent event)`
  Обработка старта соединения.
  `Object`
  `onAccountingStop(ServiceActivatorEvent event)`
  Обрабтка стопа соединения.
  `Object`
  `serviceCancel(ServiceActivatorEvent e)`
  Удаление сервиса (по событию удаления или окончания периода действия).
  `Object`
  `serviceCreate(ServiceActivatorEvent e)`
  Создание сервиса (по событию добавления или началу периода действия)
  `Object`
  `serviceModify(ServiceActivatorEvent e)`
  Изменение сервиса (подключение/отключение/изменение скорости).

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ServiceActivatorAdapter

    public ServiceActivatorAdapter()

- ## Method Details

  - ### init

    public Object init(Setup setup, int moduleId, InetDevice device, InetDeviceType deviceType, ParameterMap config) throws Exception
    Description copied from interface: `ServiceActivator`
    Инициализация обработчика. Вызывается после создания объекта.
    Specified by:
      `init` in interface `ServiceActivator`
    Parameters:
      `setup` -
      `moduleId` -
      `device` -
      `deviceType` -
      `config` -
    Returns:
    Throws:
      `Exception`

  - ### init

    @Deprecated public Object init(int moduleId, InetDevice device, InetDeviceType deviceType, ParameterMap config) throws Exception
    Deprecated.
    Throws:
      `Exception`

  - ### destroy

    public Object destroy() throws Exception
    Description copied from interface: `ServiceActivator`
    Утилизация обработчика. Вызывается перед уничтожением объекта.
    Specified by:
      `destroy` in interface `ServiceActivator`
    Returns:
    Throws:
      `Exception`

  - ### connect

    public Object connect() throws Exception
    Description copied from interface: `ServiceActivator`
    Подключение к устройству для работы с ним.
    Specified by:
      `connect` in interface `ServiceActivator`
    Returns:
    Throws:
      `Exception`

  - ### disconnect

    public Object disconnect() throws Exception
    Description copied from interface: `ServiceActivator`
    Отключение от устройства.
    Specified by:
      `disconnect` in interface `ServiceActivator`
    Returns:
    Throws:
      `Exception`

  - ### connectionClose

    public Object connectionClose(ServiceActivatorEvent e) throws Exception
    Description copied from interface: `ServiceActivator`
    Закрытие (принудительное) соединения.
    Обычно вызывается при
    invalid reference

        AccessCodes#TOO_MANY_SESSIONS_ERROR

    или из метода `ServiceActivator.connectionModify(ServiceActivatorEvent)`
    Specified by:
      `connectionClose` in interface `ServiceActivator`
    Parameters:
      `e` -
    Returns:
    Throws:
      `Exception`

  - ### connectionModify

    public Object connectionModify(ServiceActivatorEvent e) throws Exception
    Description copied from interface: `ServiceActivator`
    Изменение соединения. Вызывается при изменении набора опции на соединении или при изменении состояния.
    Обычно, при `ServiceActivatorEvent.getNewState()` ==
    invalid reference

        InetServ#STATE_DISABLE

    из этого метода происходит вызов метода `ServiceActivator.connectionClose(ServiceActivatorEvent)`
    Specified by:
      `connectionModify` in interface `ServiceActivator`
    Parameters:
      `e` -
    Returns:
    Throws:
      `Exception`

  - ### serviceCreate

    public Object serviceCreate(ServiceActivatorEvent e) throws Exception
    Description copied from interface: `ServiceActivator`
    Создание сервиса (по событию добавления или началу периода действия)
    Specified by:
      `serviceCreate` in interface `ServiceActivator`
    Parameters:
      `e` -
    Returns:
    Throws:
      `Exception`

  - ### serviceCancel

    public Object serviceCancel(ServiceActivatorEvent e) throws Exception
    Description copied from interface: `ServiceActivator`
    Удаление сервиса (по событию удаления или окончания периода действия).
    Specified by:
      `serviceCancel` in interface `ServiceActivator`
    Parameters:
      `e` -
    Returns:
    Throws:
      `Exception`

  - ### serviceModify

    public Object serviceModify(ServiceActivatorEvent e) throws Exception
    Description copied from interface: `ServiceActivator`
    Изменение сервиса (подключение/отключение/изменение скорости). Вызывается при изменении набора опций или изменении состояния сервиса
    Specified by:
      `serviceModify` in interface `ServiceActivator`
    Parameters:
      `e` -
    Returns:
    Throws:
      `Exception`
    See Also:
      - `ServiceActivatorEvent`
      - `ServiceActivatorEvent.getNewState()`

  - ### onAccountingStart

    public Object onAccountingStart(ServiceActivatorEvent event) throws Exception
    Description copied from interface: `ServiceActivator`
    Обработка старта соединения.
    Specified by:
      `onAccountingStart` in interface `ServiceActivator`
    Parameters:
      `event` -
    Returns:
    Throws:
      `Exception`

  - ### onAccountingStop

    public Object onAccountingStop(ServiceActivatorEvent event) throws Exception
    Description copied from interface: `ServiceActivator`
    Обрабтка стопа соединения.
    Specified by:
      `onAccountingStop` in interface `ServiceActivator`
    Parameters:
      `event` -
    Returns:
    Throws:
      `Exception`

  - ### configParameterList

    public List<ru.bitel.bgbilling.common.model.ConfigParameter> configParameterList()
    Description copied from interface: `ServiceActivator`
    Список доступных параметров активатора
    Specified by:
      `configParameterList` in interface `ServiceActivator`
    Returns: